// Copyright 2022 BytePlus Pte. Ltd.
// SPDX-License-Identifier: MIT

import 'bytertc_event_define.dart';

/// Karaoke scoring event handler.
class RTCSingScoringEventHandler {
  /// The callback for real-time scoring data.
  ///
  /// This callback is triggered after [RTCSingScoringManager.startSingScoring] is called.
  OnCurrentScoringInfoType? onCurrentScoringInfo;

  RTCSingScoringEventHandler({
    this.onCurrentScoringInfo,
  });
}
